﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Windows.Threading;

namespace Spiel
{
    public partial class MainWindow : Window
    {
        DispatcherTimer timer = new DispatcherTimer();
        List<Spielobjekt> alleObjekte = new List<Spielobjekt>();
        Raumschiff raumschiff;
        List<Photonentorpedo> photonentorpedos = new List<Photonentorpedo>();
        List<Asteroid> asteroiden = new List<Asteroid>();

        public MainWindow()
        {
            InitializeComponent();

            Spielobjekt.SetzeAbmessungenSpielfeld(zeichenfläche.Width, zeichenfläche.Height);
            raumschiff = new Raumschiff();
            alleObjekte.Add(raumschiff);

            timer.Tick += Animiere;
            timer.Interval = TimeSpan.FromSeconds(0.1);
            timer.IsEnabled = true;
        }

        void Animiere(object sender, EventArgs e)
        {
            // TODO
        }

        private void Window_KeyDown(object sender, KeyEventArgs e)
        {
            switch(e.Key)
            {
                case Key.Right:
                    raumschiff.Drehe(true);
                    break;
                case Key.Left:
                    raumschiff.Drehe(false);
                    break;
                case Key.Up:
                    raumschiff.Beschleunige(true);
                    break;
                case Key.Down:
                    raumschiff.Beschleunige(false);
                    break;
                case Key.Space:
                    Photonentorpedo pt = new Photonentorpedo(raumschiff.X, raumschiff.Y, raumschiff.Vx, raumschiff.Vy, raumschiff.Winkel);
                    alleObjekte.Add(pt);
                    photonentorpedos.Add(pt);
                    break;
                default:
                    break;
            }
        }
    }
}
